Package com.xebialabs.xlrelease.utils

# Class Graph.Edge<A>

java.lang.Object
com.xebialabs.xlrelease.utils.Graph.Edge<A>

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

Enclosing class:
  `Graph<A>`

public static class Graph.Edge<A> extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Edge(A from, A to)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canEqual(Object x$1)`
  `<A> Graph.Edge<A>`
  `copy(A from, A to)`
  `<A> A`
  `copy$default$1()`
  `<A> A`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `A`
  `from()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `A`
  `to()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### Edge

    public Edge(A from, A to)

- ## Method Details

  - ### from

    public A from()

  - ### to

    public A to()

  - ### copy

    public <A> Graph.Edge<A> copy(A from, A to)

  - ### copy$default$1

    public <A> A copy$default$1()

  - ### copy$default$2

    public <A> A copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`